/*******************************************************************************
 * Source File: DtsTransactional.java
 ******************************************************************************/
package edu.utah.further.examples.fuse_aop;

import static java.lang.annotation.ElementType.METHOD;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Target;

/**
 * Signals that the annotated method is to be advised by an aspect.
 * <p>
 * -----------------------------------------------------------------------------------<br>
 * (c) 2008-2009 FURTHeR Project, AVP Health Sciences IT Office, University of Utah<br>
 * Contact: Dr. Scott Narus {@code <scott.narus@hsc.utah.edu>}<br>
 * Biomedical Informatics, 26 South 2000 East<br>
 * Room 5775 HSEB, Salt Lake City, UT 84112<br>
 * Day Phone: 1-801-213-3288<br>
 * -----------------------------------------------------------------------------------
 *
 * @author Oren E. Livne {@code <oren.livne@utah.edu>}
 * @version Nov 6, 2008
 */
@Target(
{ METHOD })
@Inherited
@Documented
public @interface Advisable
{
}
