/*******************************************************************************
 * Source File: ApplicationContextContainer.java
 ******************************************************************************/
package edu.utah.further.examples.fuse_aop;

import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * An object that has a spring application context as its property.
 * <p>
 * -----------------------------------------------------------------------------------<br>
 * (c) 2008-2009 FURTHeR Project, Health Sciences IT, University of Utah<br>
 * Contact: Dr. Scott Narus {@code <scott.narus@hsc.utah.edu>}<br>
 * Biomedical Informatics, 26 South 2000 East<br>
 * Room 5775 HSEB, Salt Lake City, UT 84112<br>
 * Day Phone: 1-801-213-3288<br>
 * -----------------------------------------------------------------------------------
 *
 * @author Oren E. Livne {@code <oren.livne@utah.edu>}
 * @version Jul 11, 2009
 */
public interface ApplicationContextContainer
{
	// ========================= CONSTANTS =================================

	/**
	 * Return the applicationContext property.
	 *
	 * @return the applicationContext
	 */
	ClassPathXmlApplicationContext getApplicationContext();

	/**
	 * Set a new value for the applicationContext property.
	 *
	 * @param applicationContext
	 *            the applicationContext to set
	 */
	void setApplicationContext(ClassPathXmlApplicationContext applicationContext);
}